﻿using TribesPSO;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace TribesPSOTest
{


    /// <summary>
    ///This is a test class for SearchSpace and is intended
    ///to contain all SearchSpace Unit Tests for methods with implementations in the base class and 
    ///to provide a base class for test of derviced SearchSpace implementations
    ///</summary>
    [TestClass()]
    public class BaseSearchSpaceTest : SearchSpaceTest<IndependentGaussianParticle>
    {
        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        protected override SearchSpace<IndependentGaussianParticle> CreateSearchSpace()
        {
            Rosenbrock objectiveFunction = new Rosenbrock();
            return new BaseSearchSpace(objectiveFunction);
        }
    }
}
