﻿using TribesPSO;
using NUnit.Framework;
using System;

namespace TribesPSOTest.NUnit
{
    
    
    /// <summary>
    ///This is a test class for MultithreadedGaussianSearchSpaceTest and is intended
    ///to contain all MultithreadedGaussianSearchSpaceTest Unit Tests
    ///</summary>
    [TestFixture()]
    public class MultithreadedGaussianSearchSpaceTest : SearchSpaceTest<IndependentGaussianParticle>
    {
        protected override SearchSpace<IndependentGaussianParticle> CreateSearchSpace()
        {
            return new MultithreadedGaussianSearchSpace(new Rosenbrock());
        }
    }
}
