﻿using TribesPSO;
using NUnit.Framework;
using System;

namespace TribesPSOTest.NUnit
{
    
    
    /// <summary>
    ///This is a test class for SingleThreadedGaussianSearchSpaceTest and is intended
    ///to contain all SingleThreadedGaussianSearchSpaceTest Unit Tests
    ///</summary>
    [TestFixture()]
    public class SingleThreadedGaussianSearchSpaceTest : SearchSpaceTest<IndependentGaussianParticle>
    {
        protected override SearchSpace<IndependentGaussianParticle> CreateSearchSpace()
        {
            return new SingleThreadedGaussianSearchSpace(new Rosenbrock());
        }
    }
}
