﻿using TribesPSO;
using NUnit.Framework;
using System;

namespace TribesPSOTest.NUnit
{


    /// <summary>
    ///This is a test class for SingleThreadedHypersphereSearchSpaceTest and is intended
    ///to contain all SingleThreadedHypersphereSearchSpaceTest Unit Tests
    ///</summary>
    [TestFixture()]
    public class SingleThreadedHypersphereSearchSpaceTest : SearchSpaceTest<HypersphereParticle>
    {

        protected override SearchSpace<HypersphereParticle> CreateSearchSpace()
        {
            return new SingleThreadedHypersphereSearchSpace(new Rosenbrock());
        }
    }
}
